Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.virtual.workflow
Class StandardAction

    java.lang.Object
      com.bea.content.virtual.workflow.StandardAction

All Implemented Interfaces
  WorkflowAction, Serializable

Direct Known Subclasses:
  DraftAction, PublishAction, ReadyAction, RejectAction, RetireAction

    public class StandardAction

extends Object
implements WorkflowAction

Sets the workflow status for the current version of the node to the value that's set in the WorkflowActionContext. [getVersionableContent()]

See Also
  Serialized Form

Field Summary
`static String` | `DATA_SOURCE`
`protected static Debug` | `DEBUG`

Constructor Summary
`StandardAction()`

Method Summary
`protected void` | `assignNodeToRoles(WorkflowActionContext context, Iterator<String> roles, ID nodeId)` This method allows users to assign a set of roles to the node.
`protected void` | `assignNodeToUser(WorkflowActionContext context, String username, ID nodeId)` This method allows users to assign a user to the node.
`void` | `execute(WorkflowActionContext actionContext)` Empty base method.
`void` | `revertAction(WorkflowActionContext context, WorkflowException cause)` The default revertAction implementation simply rethrows back the original exception [cause] to the caller.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATA_SOURCE

    public static final String DATA_SOURCE

See Also
  Constants Summary

### DEBUG

    protected static Debug DEBUG

Constructor Detail

### StandardAction

    public StandardAction()

Method Detail

### execute

    public void execute(WorkflowActionContext actionContext)
                 throws WorkflowException

  Empty base method.

  Specified by:
    `execute` in interface `WorkflowAction`
  Parameters
    `actionContext` - The WorkflowActionContext object
  Throws
    `WorkflowException` - If an exception occurs

### assignNodeToRoles

    protected void assignNodeToRoles(WorkflowActionContext context,
                                     Iterator<String> roles,
                                     ID nodeId)

  This method allows users to assign a set of roles to the node. A typical use case is if, as part of a transition from x -> y, the users in the roles require the node to appear the user's WorkList when they log in the admin tools. When the roles are set, the assignedToUser will be set to null, so just the users in roles will be assinged to the node.

  Parameters
    `context` - The workflowActionContext object. This should be the same as passed in to the executeAction or the revertAction method.
    `roles` - The list of roles
    `nodeId` - The nodeId of the node which will appear in the workList of users of specified roles.

### assignNodeToUser

    protected void assignNodeToUser(WorkflowActionContext context,
                                    String username,
                                    ID nodeId)

  This method allows users to assign a user to the node. A typical use case is if, as part of a transition from x -> y, the user requires the node to appear the user's WorkList when they log in the admin tools. When a user is set, the roles will be ignored (assignedToUser trumps assignedRoles)

  Parameters
    `context` - The workflowActionContext object. This should be the same as passed in to the executeAction or the revertAction method.
    `username` - The username
    `nodeId` - The nodeId of the node which will appear in the workList of users of specified roles.

### revertAction

    public void revertAction(WorkflowActionContext context,
                             WorkflowException cause)
                      throws WorkflowException

  The default revertAction implementation simply rethrows back the original exception [cause] to the caller.

  Specified by:
    `revertAction` in interface `WorkflowAction`
  Parameters
    `context` - The WorkflowActionContext
    `cause` - The workflow exception that caused the execute() method to fail
  Throws
    `WorkflowException` - If an error happens in this method. This implementation always throws the cause

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.